<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_ifft.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_ifft" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_ifft</refname>
    <refpurpose>matlab compatible ifft</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y=nan_ifft(x,n)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
This funcion is much (100x) faster then mtlb_ifft
   </para>
   <para>
Compute the IFFT of A using subroutines from FFTW.  The IFFT is
calculated along the first non-singleton dimension of the array.
Thus if A is a matrix, `ifft (A)' computes the IFFT for each column
of A.
   </para>
   <para>
If called with two arguments, N is expected to be an integer
specifying the number of elements of A to use, or an empty matrix
to specify that its value should be ignored.  If N is larger than
the dimension along which the FFT is calculated, then A is resized
and padded with zeros.  Otherwise, if N is smaller than the
dimension along which the IFFT is calculated, then A is truncated.
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_fft">nan_fft</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt - Aug 2010</member>
   </simplelist>
</refsection>
</refentry>
